/home/bradarant/barant/BMAMail/SMTPSession.h File Reference
`#include "TCPSession.h"`
`#include "TCPServer.h"`
Include dependency graph for SMTPSession.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | mail::SMTPSession

## Namespaces

| mail

## Macros

#define | CRLF "\r\n"

## Enumerations

enum | mail::State { mail::CONNECT, mail::READY, mail::MAIL, mail::RCPT, mail::DATA }
enum | mail::AuthState { mail::USER_UNKNOWN, mail::USER_QUERY, mail::USER_SECRET_QUERY, mail::USER_KNOWN }
enum | mail::Mode { mail::WAIT_FOR_DATA, mail::RECEIVE_DATA }

## Macro Definition Documentation

## CRLF

#define CRLF "\r\n"